c------ This is an example program for the HP Laserjet
c------ Note: The function "HPRINT" is declared below as type
c	      integer*2, this is required to get the proper
c	      error status back.


	program test
	integer*2 func,port,i,setup(11),hprint

        data setup / 0,0,0,0,0,0,0,0,0,0,0 /

	func = 1
	port = 1

        write( *, '(a,$)' ) ' Print Mode [0-1]:  '
	read( *, '(i4)' ) setup(1)

        write( *, '(a,$)' ) ' Reversed [0-1]:  '
	read( *, '(i4)' ) setup(2)

	write( *, '(a,$)' ) ' Portrait or Landscape [0-1]:  '
	read( *, '(i4)' ) setup(3)

	if( setup(1).EQ.0 ) then
		write( *,'(a,$)' ) ' Draft Resolution [75,100,150,300]:  '
		read( *,'(i4)' ) setup(4)
	endif

	write( *, '(a,$)' ) ' Print Position X:  '
	read( *, '(i4)' ) setup(5)
	write( *, '(a,$)' ) ' Print Position Y:  '
	read( *, '(i4)' ) setup(6)

	call init( 1 )
c---- Initialize the printer driver  
	call hpinit( func, port, setup )
	call dcolor( 15 )
        call rectab( 0, 0, 639, 349, 0 )
	call moveab( 100, 150 )
	call text('This is an 8 x 14 text string',29)
c---- Draw some colored rectangles to print  
        do 10 i=0,13
            call dcolor( i+1 )
            call rectab( (i*30)+10, 10, (i*30)+30, 100, 1)
10	continue

c---- Print the screen and check if error condition  
	if( hprint().NE.0 ) write( *,* ) 'Output error'

c---- Restore previous print screen handler  
	func=2
	call hpinit( func,  port, setup )

        call finit()
	stop
	end
